Lift to_bytes() and to_sectors() into dm.h
--- diff/drivers/md/dm.c	2004-01-19 10:22:56.000000000 +0000
+++ source/drivers/md/dm.c	2004-02-09 10:42:08.000000000 +0000
@@ -233,15 +233,6 @@
  *   interests of getting something for people to use I give
  *   you this clearly demarcated crap.
  *---------------------------------------------------------------*/
-static inline sector_t to_sector(unsigned int bytes)
-{
-	return bytes >> SECTOR_SHIFT;
-}
-
-static inline unsigned int to_bytes(sector_t sector)
-{
-	return sector << SECTOR_SHIFT;
-}
 
 /*
  * Decrements the number of outstanding ios that a bio has been
--- diff/drivers/md/dm.h	2004-02-09 10:42:01.000000000 +0000
+++ source/drivers/md/dm.h	2004-02-09 10:42:08.000000000 +0000
@@ -151,6 +151,16 @@
 	return dm_round_up(n, size) / size;
 }
 
+static inline sector_t to_sector(unsigned long n)
+{
+	return (n >> 9);
+}
+
+static inline unsigned long to_bytes(sector_t n)
+{
+	return (n << 9);
+}
+
 /*
  * The device-mapper can be driven through one of two interfaces;
  * ioctl or filesystem, depending which patch you have applied.
